pcl::detail::AccumulatorIntensity Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_intensity< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorIntensity ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t n) const

## Public Attributes

float | intensity

## Detailed Description

Definition at line 169 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

typedef pcl::traits::has_intensity<boost::mpl::_1> pcl::detail::AccumulatorIntensity::IsCompatible

Definition at line 173 of file accumulators.hpp.

## Constructor & Destructor Documentation

## AccumulatorIntensity()

pcl::detail::AccumulatorIntensity::AccumulatorIntensity | ( |  | ) |

inline

Definition at line 178 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorIntensity::add | ( | const PointT & | t | ) |

inline

Definition at line 181 of file accumulators.hpp.

## get()

template<typename PointT >

void pcl::detail::AccumulatorIntensity::get | ( | PointT & | t,
|  | size_t | n
| ) |  | const

inline

Definition at line 184 of file accumulators.hpp.

## Member Data Documentation

## intensity

float pcl::detail::AccumulatorIntensity::intensity

Definition at line 176 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/impl/accumulators.hpp